Bug 213975 - x11-wm/herbstluftwm: small fixes
Summary: x11-wm/herbstluftwm: small fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-11-01 14:41 UTC by Zsolt Udvari
Modified: 2016-11-13 14:42 UTC (History)
1 user (show)

See Also:
uzsolt: maintainer-feedback+


Attachments
patch (1.67 KB, patch)
2016-11-01 14:41 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
Updated patch (2.06 KB, patch)
2016-11-02 10:17 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2016-11-01 14:41:08 UTC
Created attachment 176375 [details]
patch

- added gettext-runtime USES
- added xext to USE_XORG
- simplify DOCS knob

Poudriere (10.3-RELEASE) testport is passed (more details on http://freebsd.uzsolt.hu/logs/x11-wm/herbstluftwm/10amd64-default/herbstluftwm-0.7.0.log )
Comment 1 Jan Beich freebsd_committer 2016-11-01 19:50:28 UTC
Comment on attachment 176375 [details]
patch

DOCS=off build has regressed:

  ===========================================================================
  ====> Running Q/A tests (stage-qa)
  ====> Checking for pkg-plist issues (check-plist)
  ===> Parsing plist
  ===> Checking for items in STAGEDIR missing from pkg-plist
  ===> Checking for items in pkg-plist which are not in STAGEDIR
  Error: Missing: man/man1/herbstclient.1.gz
  Error: Missing: man/man1/herbstluftwm.1.gz
  Error: Missing: man/man7/herbstluftwm-tutorial.7.gz
  ===> Error: Plist issues found.
  *** Error code 1

  Stop.
  make: stopped in /usr/ports/x11-wm/herbstluftwm
  ====>> Error: check-plist failures detected
  ====>> Checking for staging violations... done
  =======================<phase: package        >============================
  ===>  Building package for herbstluftwm-0.7.0
  pkg-static: Unable to access file /wrkdirs/usr/ports/x11-wm/herbstluftwm/work/stage/usr/local/man/man1/herbstclient.1.gz: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: man/man1/herbstclient.1.gz
  pkg-static: Unable to access file /wrkdirs/usr/ports/x11-wm/herbstluftwm/work/stage/usr/local/man/man1/herbstluftwm.1.gz: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: man/man1/herbstluftwm.1.gz
  pkg-static: Unable to access file /wrkdirs/usr/ports/x11-wm/herbstluftwm/work/stage/usr/local/man/man7/herbstluftwm-tutorial.7.gz: No such file or directory
  pkg-static: DEVELOPER_MODE: Plist error, missing file: man/man7/herbstluftwm-tutorial.7.gz
  *** Error code 1
Comment 2 Zsolt Udvari 2016-11-02 10:17:54 UTC
Created attachment 176416 [details]
Updated patch

Updated patch. It fixes the problem of missing manual pages without DOCS.

Build log with DOCS: http://freebsd.uzsolt.hu/logs/x11-wm/herbstluftwm/10amd64-default/herbstluftwm-0.7.0doc.log
Build log without DOCS: http://freebsd.uzsolt.hu/logs/x11-wm/herbstluftwm/10amd64-default/herbstluftwm-0.7.0nodoc.log
Comment 3 Jan Beich freebsd_committer 2016-11-02 12:09:19 UTC
Comment on attachment 176416 [details]
Updated patch

3 lines removed, 10 lines added. How does this qualify for "simplify DOCS knob" per comment 0?
Comment 4 commit-hook freebsd_committer 2016-11-02 12:18:15 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov  2 12:17:46 UTC 2016
New revision: 425143
URL: https://svnweb.freebsd.org/changeset/ports/425143

Log:
  x11-wm/herbstluftwm: track more dependencies

  PR:		213975
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com> (maintainer)

Changes:
  head/x11-wm/herbstluftwm/Makefile
Comment 5 commit-hook freebsd_committer 2016-11-02 12:22:17 UTC
A commit references this bug:

Author: jbeich
Date: Wed Nov  2 12:21:40 UTC 2016
New revision: 425144
URL: https://svnweb.freebsd.org/changeset/ports/425144

Log:
  MFH: r425143

  x11-wm/herbstluftwm: track more dependencies

  PR:		213975
  Submitted by:	Zsolt Udvari <udvzsolt@gmail.com> (maintainer)
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/x11-wm/herbstluftwm/Makefile
Comment 6 Zsolt Udvari 2016-11-02 12:23:46 UTC
(In reply to Jan Beich (mail not working) from comment #3)
I think the using the features of FreeBSD's port system (change the gmake's target) is simplier (and/or more general, better-looking) than a condinitional (ugly) modify of the source's Makefile.
And portlint doesn't throw warning about ${PORT_OPTIONS:MDOCS}.
Comment 7 Jan Beich freebsd_committer 2016-11-02 12:54:53 UTC
Ugly conditionals can be made prettier by target helpers, see /usr/ports/CHANGES from 20150701.

Otherwise, leaving open for another committer. To avoid confusion rebase the patch after comment 4.
Comment 8 commit-hook freebsd_committer 2016-11-13 14:14:36 UTC
A commit references this bug:

Author: riggs
Date: Sun Nov 13 14:13:43 UTC 2016
New revision: 426052
URL: https://svnweb.freebsd.org/changeset/ports/426052

Log:
  Use OPTION helpers for DOCS

  PR:		213975
  Submitted by:	udvzsolt@gmail.com (maintainer)

Changes:
  head/x11-wm/herbstluftwm/Makefile
  head/x11-wm/herbstluftwm/distinfo